Przejdź do treści

Isaac 0.1

Integracja

Identyfikator modelu perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

To żądanie: ≈0,001 $ 1 kredyt API · ≈ 0,11 ₽ Uruchom na tej stronie

Uzyskaj klucz API
Perceptron Wizja #multimodal#vision

Model językowo-wizyjny odpowiadający o obrazie za pomocą tekstu, ramek, punktów lub wielokątów

Perceptron · Tekst

Tutaj pojawi się pierwszy wynik

Zbuduj poniżej żądanie i uruchom je za pomocą klucza API. Wyniki są kopiowane do naszej przestrzeni dyskowej i przechowywane bezterminowo lub 7 dni bezpłatnie.

Zbuduj żądanie

Elementy sterujące są generowane ze schematu modelu. Kod i cena aktualizują się podczas ich zmiany.

•wymagane

Prompt zastosowany do obrazu.

•wymagane image_url
Upuść plik lub

URL identyfikujący obraz do przetworzenia.

Zaawansowane response_style
response_style domyślnie text

Wybierz format odpowiedzi obrazu: wszystkie tryby zawierają tekst, a box dodaje ramki ograniczające, point dodaje punkty, a polygon dodaje wielokąty; sam tekst zwraca wyłącznie tekst. Użyj polygon do szczegółowej segmentacji lub box do lokalizacji. Do opisów i podpisów użyj text; do zliczania wielu obiektów użyj point.

POST /run/perceptron/isaac-01?wait=20 wycena → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Uruchom to żądanie

Klucz pozostaje w tej przeglądarce: jest wysyłany tylko do Doitong API i zapisywany (localStorage) tylko po zaznaczeniu opcji Zapamiętaj. Uzyskaj klucz API

Informacje o Isaac 0.1

Przyjmuje `image_url` i `prompt` oraz zwraca odpowiedź w formacie określonym przez `response_style`. Format tekstowy nadaje się do opisów, a formaty z ramkami, punktami i wielokątami dodają do wyniku dane o położeniu. Rezultat zawiera wygenerowany wynik, flagę częściowego wyniku, ewentualny komunikat o błędzie oraz informacje o wykorzystaniu.

Parametry

Wyślij nazwę kanoniczną albo natywną, nie obie. Nazwy kanoniczne

NazwaTyp DomyślneDozwolone Opis
image_urlwymagane image
Typurl · image
URL identyfikujący obraz do przetworzenia.
promptwymagane
Typstring
Prompt zastosowany do obrazu.
response_styleopcjonalne
Typenum
Domyślnetext
textboxpointpolygon
Wybierz format odpowiedzi obrazu: wszystkie tryby zawierają tekst, a box dodaje ramki ograniczające, point dodaje punkty, a polygon dodaje wielokąty; sam tekst zwraca wyłącznie tekst. Użyj polygon do szczegółowej segmentacji lub box do lokalizacji. Do opisów i podpisów użyj text; do zliczania wielu obiektów użyj point.
wymagane Nazwa kanoniczna, również akceptowana

Parametry plików przyjmują publiczny URL https://, identyfikator URI data: do 10 MB albo file_url przesłanego pliku. Pliki

Wynik

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Twoje pliki, Twój wybórKażdy outputs[].url to kopia w naszej przestrzeni dyskowej: przechowywana bezterminowo (opłata za GB-miesiąc) lub 7 dni bezpłatnie, zgodnie z ustawieniem konta lub ?storage=.
Taki sam format w każdym modelutype, url, content_type, width, height i duration — tak samo dla obrazów, filmów i dźwięku. output to własny obiekt wyniku modelu.
Pola wyniku
output
stringWynik utworzony przez model.
partial
booleanWskazuje, czy wynik jest niekompletny.
error
string | nullKomunikat opisujący błąd, jeśli wystąpił.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullSzczegóły wykorzystania.

Dla agentów AI: ta strona w formacie Markdown jest dostępna pod adresem https://doitong.com/pl/developers/models/perceptron/isaac-01.md. Wszystkie modele i przewodniki: https://doitong.com/developers/llms.txt